Kerbal Space Program - Bug #22344

Wrong in-flight delta-v calculation (fuel ducts/fuel distribution?)
05/19/2019 09:51 AM - Kasuha
Description

See attached quicksave.

The landed ship shows 1381 m/s remaining delta-v. When | launch it, its displayed delta-v value goes UP until it reaches about 1540
when it starts going down again.

Apparently, the problem has something to do with the way the fuel in the ship is distributed.

- the values start being displayed correctly when the fuel in the central fuel tank run out

- when transferring fuel from the engine tanks to the central tank, the displayed delta-v value first goes down (to about 1090 m/s) but
then starts going up until it stops at 2346 m/s when all fuel is in the central tank.

History

#1 - 05/20/2019 10:02 AM - Dunbaratu

Kasuha wrote:

Apparently, the problem has something to do with the way the fuel in the ship is distributed.

Are the tanks that are available to the engines set to all the same priority or do they have differing priorities? There seems to be a bug where the
stock dV readouts act as if two tanks in the same stage don't count as being in the same stage if they have differing priorites. | wonder if it has
something to do with the fact that if a player never manually adjusts the priority numbers, then the default priorities they get from the VAB are chosen
by stage number. Maybe some developer tried to take the shortcut of assuming "the only reason | will see tanks of different priority is if they are in
different stages", forgetting that a player can adjust them manually too to make them differ within the same stage.

#2 - 05/20/2019 03:24 PM - Kasuha

| can confirm that the central tank has its priority raised to -9, coming from earlier design of the ship which did not have fuel ducts and the engines
were attached via a fuel-crossfeeding part.

But | don't think your description explains the whole thing, particularly the strange way how the dv estimate changes as | transfer fuel between the
tanks. There's no stages and no other engines on the ship.

#3 - 05/22/2019 03:58 AM - Dunbaratu
Kasuha wrote:

| can confirm that the central tank has its priority raised to -9, coming from earlier design of the ship which did not have fuel ducts and the
engines were attached via a fuel-crossfeeding part.

But | don't think your description explains the whole thing, particularly the strange way how the dv estimate changes as | transfer fuel between

the tanks. There's no stages and no other engines on the ship.

If it was caused by the thing | mentioned then I'd expect the dV to change as you transfer fuel between tanks. That's how the bug works - the
calculation isn't counting the fuel from all the tanks it's supposed to, so as you transfer fuel out of a tank it does count into a tank it does not, or visa
versa, the result changes.

If you're curious and want to read the report on it, the bug I'm referring to is written up here: https://bugs.kerbalspaceprogram.com/issues/20766

#4 - 06/05/2020 03:50 PM - Robert.Keech
- Status changed from New to Updated
https://bugs.kerbalspaceprogram.com/issues/20766

- Assignee set to Robert.Keech

- % Done changed from 0 to 10

Tested in 1.9.1, the craft in the save provided now shows a delta-v of 2346, can you please check this and confirm if this bug is still occurring.
Thanks

#5 - 06/05/2020 05:18 PM - Kasuha

| gave it a try (haven't played KSP in ages) and it looks good to me now.

#6 - 06/06/2020 06:15 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#7 - 07/07/2020 01:53 PM - Robert.Keech
- Assignee deleted (Robert.Keech)
